
  <!DOCTYPE html>
  <html lang="en">
    <head>
      <meta charset="utf-8" />
      <meta name="vcs" content="git"/>
<meta name="vcs:default-branch" content="main"/>
<meta name="vcs:clone" content="https://git.example.com/~username/nested"/>
<meta name="vcs:clone" content="git@git.example.com:~username/nested"/>
<meta name="forge:summary" content="https://git.example.com/~username/nested"/>
<meta name="forge:dir" content="https://git.example.com/~username/nested/tree/{ref}/item/{path}"/>
<meta name="forge:file" content="https://git.example.com/~username/nested/tree/{ref}/item/{path}"/>
<meta name="forge:rawfile" content="https://git.example.com/~username/nested/blob/{ref}/{path}"/>
<meta name="forge:line" content="https://git.example.com/~username/nested/tree/{ref}/item/{path}#L{line}"/>
<meta name="go-import" content="example.com/nested git https://git.example.com/~username/nested"/>
<meta name="go-source" content="example.com/nested https://git.example.com/~username/nested https://git.example.com/~username/nested/tree/{commit}/item/{file} https://git.example.com/~username/nested/tree/{commit}/item/{file}#L{line}"/>
<link href="/reseter.min.css" rel="stylesheet">
<link href="/style.css" rel="stylesheet">

      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      
        <title>sub package - example.com/nested</title>
    </head>
    <body>
        <div class="module-nav sticky-header">
          <div>
            <a href="/nested@v1/">example.com/nested</a>/<a href="#top" title="Back to top"
              >sub <span>↑</span></a
            >
          </div>
          <nav><a
                href="#pkg-index"
                >Index</a
              >
            <span>|</span>&nbsp;<a
                href="#pkg-files"
                >Files</a
              >
            </nav>
        </div>
      
  <h1 id="pkg-overview">sub package</h1>

    <p><code>import "example.com/nested/sub"</code></p>
    <p>Sub package

    
  


    <h2 id="pkg-index">Index <a href="#pkg-index" class="permalink">¶</a></h2>

      <ul>
        
          <li><a href="#pkg-constants">Constants</a></li>
        
        
          <li><a href="#pkg-variables">Variables</a></li>
        
        
          <li><a href="#Generic">func Generic[T Color](submarie T)</a></li>
        
        
          <li>
            <a href="#Color">type Color</a>
            
          </li>
        
          <li>
            <a href="#ColorGen">type ColorGen</a>
            
          </li>
        
          <li>
            <a href="#ColorGen2">type ColorGen2</a>
            
          </li>
        
          <li>
            <a href="#Int">type Int</a>
            
          </li>
        
          <li>
            <a href="#Marine">type Marine</a>
            
          </li>
        
      </ul>
    

    
      <h2 id="pkg-constants">
        Constants <a href="#pkg-constants" class="permalink">¶</a>
      </h2>
      
        <div data-kind="constant" class="corner-forge-link">
          <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L34" rel="noopener nofollow" title="View Source">❖</a>

          <pre>const (
	<span class="comment">// Type mismatch errors.</span>
	<span id="ERR_CONTENT_TYPE">ERR_CONTENT_TYPE</span> = &#34;ContentTypeError&#34;

	<span class="comment">// Top comment</span>
	<span class="comment">// on multiple lines</span>
	<span class="comment">// wi	&lt;strong&gt;HTML&lt;/strong&gt;</span>
	<span id="ERR_REQUIRED">ERR_REQUIRED</span>       = &#34;RequiredError&#34;                          <span class="comment">// trailing comment</span>
	<span id="ERR_ALPHA_DASH_DOT">ERR_ALPHA_DASH_DOT</span> = &#34;&lt;strong&gt;	Dot&lt;/strong&gt;Error&#34; <span class="comment">// trailing comment</span>

	<span id="ERR_SPACED">ERR_SPACED</span> = &#34;RequiredError&#34;

	<span id="SOME_STRING">SOME_STRING</span>  <a href="https://pkg.go.dev/builtin#string">string</a> = &#34;1&#34;
	<span id="OTHER_STRING">OTHER_STRING</span> <a href="https://pkg.go.dev/builtin#string">string</a> = &#34;2&#34;
)</pre>
        </div>
        <p>const documentation

      
    

    
      <h2 id="pkg-variables">
        Variables <a href="#pkg-variables" class="permalink">¶</a>
      </h2>
      
        <div data-kind="variable" class="corner-forge-link">
          <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L50" rel="noopener nofollow" title="View Source">❖</a>

          <pre>var (
	<span class="comment">// single value</span>
	<span id="ANSWER">ANSWER</span> = &amp;<a href="#Marine">Marine</a>{1, 42}
)</pre>
        </div>
        
      
    

    
      <h2 id="Generic" data-kind="function">
        func
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L57" rel="noopener nofollow" title="View Source">Generic</a>

        <a href="#Generic" class="permalink">¶</a>
      </h2>
      <div class="corner-forge-link">
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L57" rel="noopener nofollow" title="View Source">❖</a>

        <pre>func Generic[T <a href="#Color">Color</a>](submarie T)</pre>
      </div>
      
      
  

    

    
      <h2 id="Color" data-kind="type">
        type
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L11" rel="noopener nofollow" title="View Source">Color</a>

        <a href="#Color" class="permalink">¶</a>
      </h2>
      <div class="corner-forge-link">
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L11" rel="noopener nofollow" title="View Source">❖</a>

        <pre>type Color interface {
	Yellow()         <span class="comment">// jaune</span>
	WithArg(<a href="https://pkg.go.dev/builtin#int">int</a>) <a href="https://pkg.go.dev/builtin#int">int</a> <span class="comment">// argh</span>
	WithArgName(color <a href="https://pkg.go.dev/builtin#string">string</a>) (n <a href="https://pkg.go.dev/builtin#int">int</a>, err <a href="https://pkg.go.dev/builtin#error">error</a>)
	WithArgName2(color <a href="https://pkg.go.dev/builtin#string">string</a>) (n <a href="https://pkg.go.dev/builtin#int">int</a>,
		err <a href="https://pkg.go.dev/builtin#error">error</a>)
	WithArgName3(color <a href="https://pkg.go.dev/builtin#string">string</a>) (
		int,
		err <a href="https://pkg.go.dev/builtin#error">error</a>,
	)
}</pre>
      </div>
      
      
      
      
  

      
      
    
      <h2 id="ColorGen" data-kind="type">
        type
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L23" rel="noopener nofollow" title="View Source">ColorGen</a>

        <a href="#ColorGen" class="permalink">¶</a>
      </h2>
      <div class="corner-forge-link">
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L23" rel="noopener nofollow" title="View Source">❖</a>

        <pre>type ColorGen[T <a href="https://pkg.go.dev/builtin#int">int</a>, U,
	V <a href="https://pkg.go.dev/builtin#string">string</a>,
	WW <a href="https://pkg.go.dev/builtin#int">int</a>, X <a href="https://pkg.go.dev/builtin#float64">float64</a>] interface{ WithArg(T) }</pre>
      </div>
      
      
      
      
  

      
      
    
      <h2 id="ColorGen2" data-kind="type">
        type
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L27" rel="noopener nofollow" title="View Source">ColorGen2</a>

        <a href="#ColorGen2" class="permalink">¶</a>
      </h2>
      <div class="corner-forge-link">
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L27" rel="noopener nofollow" title="View Source">❖</a>

        <pre>type ColorGen2[
	T, U interface{ WithArg(T) },
	V <a href="https://pkg.go.dev/builtin#string">string</a>,
	WW <a href="https://pkg.go.dev/builtin#int">int</a>, X <a href="https://pkg.go.dev/builtin#float64">float64</a>,
] interface{ WithArg(T) }</pre>
      </div>
      
      
      
      
  

      
      
    
      <h2 id="Int" data-kind="type">
        type
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L8" rel="noopener nofollow" title="View Source">Int</a>

        <a href="#Int" class="permalink">¶</a>
      </h2>
      <div class="corner-forge-link">
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L8" rel="noopener nofollow" title="View Source">❖</a>

        <pre>type Int <a href="https://pkg.go.dev/builtin#int">int</a></pre>
      </div>
      
      
      
        <div data-kind="variable" class="corner-forge-link">
          <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L55" rel="noopener nofollow" title="View Source">❖</a>

          <pre>var <span id="One">One</span>, <span id="Two">Two</span> <a href="#Int">Int</a> = 1, 2
</pre>
        </div>
        
      
      
  

      
      
    
      <h2 id="Marine" data-kind="type">
        type
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L9" rel="noopener nofollow" title="View Source">Marine</a>

        <a href="#Marine" class="permalink">¶</a>
      </h2>
      <div class="corner-forge-link">
        <a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go#L9" rel="noopener nofollow" title="View Source">❖</a>

        <pre>type Marine struct{ Depth, Speed <a href="https://pkg.go.dev/builtin#int">int</a> }</pre>
      </div>
      
      
      
      
  

      
      
    

    

    
      <h2 id="pkg-files">
        Source Files
        <a href="#pkg-files" class="permalink">¶</a>
      </h2>
      <p><a href="https://git.example.com/~username/nested/tree/main/item/sub/sub.go" rel="noopener nofollow" title="View Source">sub.go</a>
</p>
    
  

  

  
        <div class="module-nav footer">
          <div>
            <a href="/nested@v1/">example.com/nested</a>/<wbr /><span>sub</span>
          </div>
          <code>main</code>
        </div>
        <footer>
          <nav>
            Generated with
            <a href="https://code.pfad.fr/vanitydoc/">vanitydoc (devel)</a> &middot;
            <a href="https://go.dev">Go Language</a>
          </nav>
        </footer>
    </body>
  </html>
